package org.gcube.dataanalysis.dataminer.poolmanager.clients.configurations;

import javax.xml.bind.annotation.XmlElement;


public abstract class AbstractConfiguration ***REMOVED***





	private String 	host;

	private String algorithmsList;

	private String softwareRepo;

	private String ghostRepo;

	private String depsLinuxCompiled;

	private String depsPreInstalled;

	private String depsRBlackbox;

	private String depsR;

	private String depsJava;

	private String depsKnimeWorkflow;

	private String depsOctave;

	private String depsPython;

	private String depsWindowsCompiled;
	
	
	
	
	
	@XmlElement (name="host")
	public String getHost() ***REMOVED***
		return host;
***REMOVED***
	public void setHost(String host) ***REMOVED***
		this.host = host;
***REMOVED***
	
	@XmlElement (name="algorithms-list")
	public String getAlgorithmsList() ***REMOVED***
		return algorithmsList;
***REMOVED***
	public void setAlgorithmsList(String algorithmsList) ***REMOVED***
		this.algorithmsList = algorithmsList;
***REMOVED***
	
	@XmlElement (name="software-repo")
	public String getSoftwareRepo() ***REMOVED***
		return softwareRepo;
***REMOVED***
	public void setSoftwareRepo(String softwareRepo) ***REMOVED***
		this.softwareRepo = softwareRepo;
***REMOVED***
	
	@XmlElement (name="ghost-repo")
	public String getGhostRepo() ***REMOVED***
		return ghostRepo;
***REMOVED***
	
	
	public void setGhostRepo(String ghostRepo) ***REMOVED***
		this.ghostRepo = ghostRepo;
***REMOVED***
	
	
	@XmlElement (name="deps-linux-compiled")
	public String getDepsLinuxCompiled() ***REMOVED***
		return depsLinuxCompiled;
***REMOVED***
	
	
	public void setDepsLinuxCompiled(String depsLinuxCompiled) ***REMOVED***
		this.depsLinuxCompiled = depsLinuxCompiled;
***REMOVED***
	
	@XmlElement (name="deps-pre-installed")
	public String getDepsPreInstalled() ***REMOVED***
		return depsPreInstalled;
***REMOVED***
	public void setDepsPreInstalled(String depsPreInstalled) ***REMOVED***
		this.depsPreInstalled = depsPreInstalled;
***REMOVED***
	
	@XmlElement (name="deps-r-blackbox")
	public String getDepsRBlackbox() ***REMOVED***
		return depsRBlackbox;
***REMOVED***
	public void setDepsRBlackbox(String depsRBlackbox) ***REMOVED***
		this.depsRBlackbox = depsRBlackbox;
***REMOVED***
	
	@XmlElement (name="deps-r")
	public String getDepsR() ***REMOVED***
		return depsR;
***REMOVED***
	public void setDepsR(String depsR) ***REMOVED***
		this.depsR = depsR;
***REMOVED***
	
	@XmlElement (name="deps-java")
	public String getDepsJava() ***REMOVED***
		return depsJava;
***REMOVED***
	public void setDepsJava(String depsJava) ***REMOVED***
		this.depsJava = depsJava;
***REMOVED***
	
	@XmlElement (name="deps-knime-workflow")
	public String getDepsKnimeWorkflow() ***REMOVED***
		return depsKnimeWorkflow;
***REMOVED***
	public void setDepsKnimeWorkflow(String depsKnimeWorkflow) ***REMOVED***
		this.depsKnimeWorkflow = depsKnimeWorkflow;
***REMOVED***
	
	@XmlElement (name="deps-octave")
	public String getDepsOctave() ***REMOVED***
		return depsOctave;
***REMOVED***
	public void setDepsOctave(String depsOctave) ***REMOVED***
		this.depsOctave = depsOctave;
***REMOVED***
	
	@XmlElement (name="deps-python")
	public String getDepsPython() ***REMOVED***
		return depsPython;
***REMOVED***
	public void setDepsPython(String depsPython) ***REMOVED***
		this.depsPython = depsPython;
***REMOVED***
	
	@XmlElement (name="deps-windows-compiled")
	public String getDepsWindowsCompiled() ***REMOVED***
		return depsWindowsCompiled;
***REMOVED***
	public void setDepsWindowsCompiled(String depsWindowsCompiled) ***REMOVED***
		this.depsWindowsCompiled = depsWindowsCompiled;
***REMOVED***
	
	

	protected String getXML (String type)
	***REMOVED***
		return "<"+type+"><host>***REMOVED***$resource/Profile/Body/"+type+"/ghost/text()***REMOVED***</host>"+
				"<algorithms-list>***REMOVED***$resource/Profile/Body/"+type+"/algorithms-list/text()***REMOVED***</algorithms-list>"+
				" <software-repo>***REMOVED***$resource/Profile/Body/"+type+"/software.repo/text()***REMOVED***</software-repo>"+
				"<ghost-repo>***REMOVED***$resource/Profile/Body/"+type+"/algo.ghost.repo/text()***REMOVED***</ghost-repo>"+
				"<deps-linux-compiled>***REMOVED***$resource/Profile/Body/"+type+"/deps-linux-compiled/text()***REMOVED***</deps-linux-compiled>"+
				"<deps-pre-installed>***REMOVED***$resource/Profile/Body/"+type+"/deps-pre-installed/text()***REMOVED***</deps-pre-installed>"+
				"<deps-r-blackbox>***REMOVED***$resource/Profile/Body/"+type+"/deps-r-blackbox/text()***REMOVED***</deps-r-blackbox>"+
			    "<deps-r>***REMOVED***$resource/Profile/Body/"+type+"/deps-r/text()***REMOVED***</deps-r>"+	        
			    "<deps-java>***REMOVED***$resource/Profile/Body/"+type+"/deps-java/text()***REMOVED***</deps-java>"+		        
			    "<deps-knime-workflow>***REMOVED***$resource/Profile/Body/"+type+"/deps-knime-workflow/text()***REMOVED***</deps-knime-workflow >"+
			    "<deps-octave>***REMOVED***$resource/Profile/Body/"+type+"/deps-octave/text()***REMOVED***</deps-octave>"+    
			    "<deps-python>***REMOVED***$resource/Profile/Body/"+type+"/deps-python/text()***REMOVED***</deps-python>"+
			    "<deps-windows-compiled>***REMOVED***$resource/Profile/Body/"+type+"/deps-windows-compiled/text()***REMOVED***</deps-windows-compiled></"+type+">";    
***REMOVED***
	
	abstract public String getXMLModel ();
	
	abstract public String getType ();
	
***REMOVED***
